#include<bits/stdc++.h>
using namespace std;
int main()
{
	ifstream f1("tamgiac.inp");
	unsigned int x,y;float s;
	f1>>x>>y;
	f1.close();
	s=sqrt(x*x-y*y);
	ofstream f2("tamgiac.out");
	f2.setf(ios::fixed);
	f2.setf(ios::showpoint);
	f2.precision(2);
	f2<<s<<endl;
	
	
}
